deno_simple_runtime 0.68.0

Provides the deno runtime library
Documentation
# Copyright 2018-2022 the Deno authors. All rights reserved. MIT license.

[package]
name = "deno_simple_runtime"
version = "0.68.0"
authors = ["the Deno authors"]
edition = "2021"
license = "MIT"
repository = "https://github.com/denoland/deno"
description = "Provides the deno runtime library"

[features]
# "fake" feature that allows to generate docs on docs.rs
docsrs = []
ext_ffi = ["deno_ffi"]
ext_webgpu = ["deno_webgpu"]


[lib]
name = "deno_simple_runtime"
path = "lib.rs"

[[example]]
name = "hello_runtime"
path = "examples/hello_runtime.rs"

[build-dependencies]
deno-snapshot = { version = "0.5.4", features = ["build"], path = "../snapshot" }

[target.'cfg(windows)'.build-dependencies]
winres = "0.1.12"
winapi = "0.3.9"

[dependencies]
derive_builder = "0.11.2"

deno_broadcast_channel = "0.54.0"
deno_console = "0.60.0"
deno_core = "0.142.0"
deno_crypto = "0.74.0"
deno_fetch = "0.83.0"
deno_ffi = { version = "0.47.0", optional = true }
deno_http = "0.54.0"
deno_net = "0.52.0"
deno_tls = "0.47.0"
deno_url = "0.60.0"
deno_web = "0.91.0"
deno_webgpu = { version = "0.61.0", optional = true }
deno_webidl = "0.60.0"
deno_websocket = "0.65.0"
deno_webstorage = "0.55.0"

atty = "0.2.14"
dlopen = "0.1.8"
encoding_rs = "0.8.31"
filetime = "0.2.17"
fs3 = "0.5.0"
http = "0.2.8"
hyper = { version = "0.14.20", features = ["server", "stream", "http1", "http2", "runtime"] }
libc = "0.2.126"
log = "0.4.17"
netif = "0.1.3"
notify = "5.0.0-pre.15"
once_cell = "1.13.0"
regex = "1.6.0"
ring = "0.16.20"
serde = { version = "1.0.138", features = ["derive"] }
signal-hook-registry = "1.4.0"
sys-info = "0.9.1"
termcolor = "1.1.3"
tokio = { version = "1.19.2", features = ["full"] }
uuid = { version = "1.1.2", features = ["v4"] }

deno-snapshot = { version = "0.5.4", path = "../snapshot" }

[target.'cfg(windows)'.dependencies]
fwdansi = "1.1.0"
winapi = { version = "0.3.9", features = ["commapi", "knownfolders", "mswsock", "objbase", "shlobj", "tlhelp32", "winbase", "winerror", "winsock2"] }

[target.'cfg(unix)'.dependencies]
nix = "0.24.1"

[package.metadata.docs.rs]
features = ["docsrs"]